Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.datum
Interface GeodeticDatum

All Superinterfaces:
  Datum, IdentifiedObject

    @UML(identifier="CD_GeodeticDatum",
         specification=ISO_19111)
    public interface GeodeticDatum

extends Datum

Defines the location and precise orientation in 3-dimensional space of a defined ellipsoid (or sphere) that approximates the shape of the earth. Used also for Cartesian coordinate system centered in this ellipsoid (or sphere).

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0
See Also:
  `Ellipsoid`, `PrimeMeridian`

Field Summary

Fields inherited from interface Datum
`ANCHOR_POINT_KEY, DOMAIN_OF_VALIDITY_KEY, REALIZATION_EPOCH_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`Ellipsoid` | `getEllipsoid()` Returns the ellipsoid.
`PrimeMeridian` | `getPrimeMeridian()` Returns the prime meridian.

Methods inherited from interface Datum
`getAnchorPoint, getDomainOfValidity, getRealizationEpoch, getScope, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Method Detail

### getEllipsoid

    @UML(identifier="usesEllipsoid",
         obligation=MANDATORY,
         specification=ISO_19111)
    Ellipsoid getEllipsoid()

  Returns the ellipsoid.

### getPrimeMeridian

    @UML(identifier="usesPrimeMeridian",
         obligation=MANDATORY,
         specification=ISO_19111)
    PrimeMeridian getPrimeMeridian()

  Returns the prime meridian.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.